Bug 1006476 - ERROR : Error during puppet run : Error: /Stage[main]/Nova::Network/Sysctl::Value[net.ipv4.ip_forward]/Sysctl[net.ipv4.ip_forward]: Could not evaluate: Field 'val' is required
ERROR : Error during puppet run : Error: /Stage[main]/Nova::Network/Sysctl::V...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 12:48 EDT by Russell Bryant
Modified: 2016-04-18 02:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.11.dev806.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:01:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 47805 None None None Never

  None (edit)
Description Russell Bryant 2013-09-10 12:48:02 EDT
Description of problem:

I got the following error at the end of my packstack run:

ERROR : Error during puppet run : Error: /Stage[main]/Nova::Network/Sysctl::Value[net.ipv4.ip_forward]/Sysctl[net.ipv4.ip_forward]: Could not evaluate: Field 'val' is required
Please check log file /var/tmp/packstack/20130910-161016-XZuzzQ/openstack-setup.log for more information

Additional information:
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * Did not create a cinder volume group, one already existed
 * To use the command line tools you need to source the file /root/keystonerc_admin created on 162.209.97.160
 * To use the console, browse to http://162.209.97.160/dashboard
 * To use Nagios, browse to http://162.209.97.160/nagios username : nagiosadmin, password : a78e83d1b8d443ad


Note that the run did not actually complete successfully, despite the output acting like it did.  httpd isn't running.  I don't have a keystoncrc_admin file, either.

the packstack log contains the following traceback:

2013-09-10 16:21:24::ERROR::run_setup::913::root:: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 908, in main
    _main(confFile)
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 577, in _main
    runSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 554, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/setup_controller.py", line 90, in runAllSequences
    sequence.run(self.CONF)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 105, in run
    step.run(config=config)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 52, in run
    raise SequenceError(str(ex))
SequenceError: Error during puppet run : Error: /Stage[main]/Nova::Network/Sysctl::Value[net.ipv4.ip_forward]/Sysctl[net.ipv4.ip_forward]: Could not evaluate: Field 'val' is requiredESC[0m



Version-Release number of selected component (if applicable):

openstack-packstack-2013.2.1-0.7.dev752.el6.noarch


Additional info:

This is on CentOS 6.4.  The run I was doing was "--allinone --os-neutron-install=n".
Comment 1 Russell Bryant 2013-09-12 14:00:55 EDT
Dan Smith got this same failure.  He tried it with Neutron instead of Nova Networking and got the same failure again.

We then realized that we were both trying this on Rackspace.  This is quite likely a problem specific to that environment (IP forwarding not allowed to be turned on).

So, it seems like the failure is probably expected in this environment, but it just needs to be handled more gracefully so that's more clear what has happened.

Note You need to log in before you can comment on or make changes to this bug.